import os
import time
from typing import Dict

import jwt

# Based on handler from https://github.com/testdrivenio/fastapi-jwt/

JWT_SECRET = os.environ.get("GHOSTFORGE_JWT_SECRET")


def token_response(token: str):
    return {"access_token": token}


def signJWT(user: str) -> Dict[str, str]:
    payload = {"user_id": user, "expires": time.time() + 600}
    token = jwt.encode(payload, JWT_SECRET, algorithm="HS256")

    return token_response(token)


def decodeJWT(token: str) -> dict:
    try:
        decoded_token = jwt.decode(token, JWT_SECRET, algorithms=["HS256"])
        return decoded_token if decoded_token["expires"] >= time.time() else None
    except Exception:
        return {}
